retrieve tracks.md
Retrieve tracks.
Media API · Assets
GET https://app.mk.io/api/v1/projects/{project_name}/media/assets/{asset_name}/storage/
The Azure Storage Data Retrieval API is designed to provide restricted information about data stored in Azure Storage containers. This API allows users to interact with data in a secure and efficient manner, without directly altering the stored data.
Here are key features and purposes of this API:
- List Container Contents: It enumerates the contents of an Azure Storage container. This operation returns both files and folders within the specified container, enabling users to navigate through the hierarchical data structure.
- View Track Listings: This API will generate available track listings for any media files contained within the specified container. Track listings are inclusive of video, audio, and text tracks. If available, the API will also return the track's language and bitrate.
- Security: This API is scoped only to the configured storage account and is only accessible to users who have access to the subscription in which the asset resides. It is a readonly API that does not allow for any mutation or creation operations, and which cannot be used to retrieve any data from the storage account.
RBAC Capability Required: ams.asset.get
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
project_name |
string | Yes | — |
asset_name |
string | Yes | — |
Example request
curl -X GET "https://app.mk.io/api/v1/projects/{project_name}/media/assets/{asset_name}/storage/" \
-H "Authorization: Bearer <token>"
Responses
200 — Tracks and Files Listing
metadata· object · Required — Metadata about the asset.id· string · Required · format: uuid — The unique identifier for the asset.name· string · Required — The name of the asset.
spec· object · Required — The storage container data.container· string · Required — The name of the storage container.error· map from strings to string · Optional — A dictionary containing error information. This field will be populated in cases where no valid tracks are present.[any key]· string — map of additional properties
exceptions· object · Optional — A list of exceptions that occurred during the retrieval process. This is a non-critical field and will only be populated if an exception occurs.additionalProperties· string · Required
files· list of objects · Required — A list of files in the storage container. This only represents files present at the top-level of the container.- Array items (object):
name· string · Requiredsize· integer · Required
- Array items (object):
folders· list of objects · Required — A list of folders in the storage container.- Array items (object):
name· string · Required
- Array items (object):
formatHint· string · Required — A hint to the client as to the format of the data. mk.mezz.v0 is MediaKind's mezzanine format and will emit a period element. ams.v0 is Azure Media Services' format and will emit a tracks element.periods· map from strings to object · Optional — A map of available content for each eligible file in the storage container. Typically just '0/index/edge'. Periods are extracted from the latest instance of the MediaKind mezzanine representation format available in the container. Tracks or Periods will be available, but not both.[any key]· object — map of additional propertiesadaptation_set· list of objects · Optional- Array items (object):
accessibility· list of objects · Optional- Array items (object):
schemeIdUri· string · Optionalvalue· string · Optional
- Array items (object):
contentType· string · Optionalid· string · OptionalmaxFrameRate· string · OptionalmaxHeight· string · OptionalmaxWidth· string · OptionalmimeType· string · Optionalpar· string · Optionalrepresentation· list of objects · Optional- Array items (object):
audio_channel_configuration· list of objects · Optional- Array items (object):
schemeIdUri· string · Optionalvalue· string · Optional
- Array items (object):
bandwidth· string · Optionalcodecs· string · OptionalframeRate· string · Optionalheight· string · Optionalid· string · OptionalmimeType· string · Optionalsar· string · OptionalscanType· string · OptionalstartsWithSAP· string · Optionalwidth· string · Optional
- Array items (object):
role· list of objects · Optional- Array items (object):
schemeIdUri· string · Optionalvalue· string · Optional
- Array items (object):
segmentAlignment· string · Optional
- Array items (object):
asset_identifier· object · OptionalschemeIdUri· string · Optionalvalue· string · Optional
id· string · Optionalresource_type· string · Requiredstart· string · Optional
tracks· map from strings to object · Optional — A map of available content for each eligible file in the storage container. Tracks are extracted from all eligible files within the container and are presented to the client with the filename as the dictionary key. Tracks or Periods will be available, but not both.[any key]· object — map of additional propertiesbody· object · Requiredaudio· list of objects · Required- Array items (object):
src· string · RequiredsystemBitrate· string · RequiredsystemLanguage· string · RequiredtrackID· string · RequiredtrackName· string · Required
- Array items (object):
textstream· list of objects · Required- Array items (object):
Scheme· string · OptionalmanifestOutput· string · RequiredparentTrackName· string · Requiredsrc· string · RequiredsystemBitrate· string · Requiredtimescale· string · OptionaltrackID· string · RequiredtrackName· string · Required
- Array items (object):
video· list of objects · Required- Array items (object):
src· string · RequiredsystemBitrate· string · RequiredsystemLanguage· string · RequiredtrackID· string · RequiredtrackName· string · Required
- Array items (object):
head· object · RequiredavailabilityStartTime· string · Required · format: date-timeclientManifestRelativePath· string · RequiredcompatVersion· string · Requiredextra· map from strings to any · Required[any key]· any — map of additional properties
formats· string · RequiredfragmentsPerHLSSegment· string · Required
400 — Bad Request
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · Required — The HTTP status code
401 — Unauthorized
403 — Forbidden
404 — Not Found
429 — Too Many Requests
500 — Internal Server Error
Source spec: media-api · operationId: [get]_/api/v1/projects/{project_name}/media/assets/{asset_name}/storage/